KiteEngine(3)

NAME
KiteEngine - The Kite Tool.

SYNOPSIS

Inherits KatabaticEngine.

  Public Member Functions
KatabaticEngine * base ()
Configuration * getKiteConfiguration ()
virtual Configuration * getConfiguration ()
Net * getBlockageNet ()
bool getToolSuccess () const
unsigned long getEventsLimit () const
unsigned int getRipupLimit (unsigned int type) const
unsigned int getRipupCost () const

  Static Public Member Functions
static const Name & staticGetName ()
static KiteEngine * create (Cell *)
static KiteEngine * get (const Cell *)

Detailed Description

The Kite Tool. Lookup Mechanism

Please look at Kite::Session for an explanation of the lookup mechanism from Hurricane::Segment or Katabatic::AutoSegment to TrackSegment.

Member Function Documentation

  const Name & staticGetName () [static]
Returns: The unique string identifier for the KiteEngine class of ToolEngine.

  KiteEngine * create (Cell * cell) [static]
Create a KiteEngine on cell.

  KiteEngine * get (const Cell * cell) [static]
Returns: The KiteEngine associated to cell. NULL if there isn't.

  KatabaticEngine * base () [inline]
Returns: The KiteEngine, casted as it's base class (KatabaticEngine).

  Configuration * getKiteConfiguration () [inline]
Returns: The KiteEngine configuration. The Kite Configuration is a derived class of KatabaticConfiguration.

  Configuration * getConfiguration () [virtual]
Returns: The KiteEngine configuration.

Reimplemented from KatabaticEngine.

  Net * getBlockageNet () [inline]
Returns: The Net which is used to mark the blockage segments. It's not part of the Configuration per se but an isolated attribute.

  bool getToolSuccess () const [inline]
Returns: true if the tool was successful, that is, all the Net were routeds.

  unsigned long getEventsLimit () const [inline]
Returns: The maximal number of allowed routing events. This limit is a security against infinite looping, be sure that it is great enough not to prevent normal routing completion.

  unsigned long getRipupLimit (unsigned int type) const [inline]
Returns: the maximum ripup allowed of a segment of type.

Referenced by Manipulator::canRipup(), and SegmentAction::doAction().

  unsigned long getRipupCost () const [inline]
Returns: the differential used while comparing two ripup costs.

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.